Skip to Content
veriom

Update intent source access

POST
/v1/workspaces/{workspace_id}/architecture-intent/sources/{source_id}/access

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid
source_id*Source Id
Formatuuid

Request Body

application/json
  1. body
expected_revision*Expected Revision
Range1 <= value
reason*Reason
Length10 <= length <= 4000
state*State
Value in"active""revoked"

Response Body

Successful Response

application/json
  1. response
created_at*Created At
Formatdate-time
created_by*Created By
Formatuuid
created_by_name*Created By Name
id*Id
Formatuuid
locator*
revision*Revision
scope_key*Scope Key
source_key*Source Key
state*State
Value in"active""revoked"
updated_at*Updated At
Formatdate-time
Example Request
curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/sources/497f6eca-6276-4993-bfeb-53cbbbba6f08/access' \  -H 'Content-Type: application/json' \  -d '{  "expected_revision": 1,  "reason": "stringstri",  "state": "active"}'
Example Response
{  "created_at": "2019-08-24T14:15:22Z",  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",  "created_by_name": "string",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "locator": {    "property1": "string",    "property2": "string"  },  "revision": 0,  "scope_key": "string",  "source_key": "string",  "state": "active",  "updated_at": "2019-08-24T14:15:22Z"}